apiVersion: operators.coreos.com/v1alpha1
kind: ClusterServiceVersion
metadata:
  annotations:
    alm-examples: '[]'
    capabilities: Full Lifecycle
    categories: Developer Tools, Integration & Delivery
    certified: "false"
    description: Red Hat OpenShift Pipelines is a cloud-native CI/CD solution for building pipelines using Tekton concepts which run natively on OpenShift and Kubernetes.
    operators.operatorframework.io/builder: operator-sdk-v1.7.2
    operators.openshift.io/infrastructure-features: '["disconnected","proxy-aware"]'
    operators.operatorframework.io/internal-objects: '["tektoninstallersets.operator.tekton.dev", "tektonconfigs.operator.tekton.dev","tektonpipelines.operator.tekton.dev","tektontriggers.operator.tekton.dev","tektonaddons.operator.tekton.dev"]'
    repository: https://github.com/openshift/tektoncd-operator
    support: Red Hat
  labels:
    operatorframework.io/arch.amd64: supported
    operatorframework.io/arch.ppc64le: supported
    operatorframework.io/arch.s390x: supported
  name: openshift-pipelines-operator-rh.v0.0.0
  namespace: placeholder
spec:
  apiservicedefinitions: {}
  customresourcedefinitions:
    owned:
    - description: Represents an installation of latest version of Tekton components, TektonPipeline, TektonTrigger and TektonAddon
      displayName: Tekton Configuration
      kind: TektonConfig
      name: tektonconfigs.operator.tekton.dev
      resources:
      - kind: tektonpipelines
        name: 'pipeline'
        version: v1alpha1
      - kind: tektontriggers
        name: 'trigger'
        version: v1alpha1
      - kind: tektonaddons
        name: 'addon'
        version: v1alpha1
      specDescriptors:
      - description: Namespace where Tekton components are installed
        displayName: Target Namespace
        path: targetNamespace
        x-descriptors:
        - urn:alm:descriptor:com.tectonic.ui:label
      - description: Installation Profile (specifies which of the Tekton components are installed)
        displayName: Profile
        path: profile
        x-descriptors:
        - urn:alm:descriptor:com.tectonic.ui:label
      statusDescriptors:
      - description: The version of Operator installed
        displayName: Version
        path: version
        x-descriptors:
        - urn:alm:descriptor:com.tectonic.ui:label
      version: v1alpha1
    - description: Represents an installation of latest version of Tekton Pipelines
      displayName: Tekton Pipelines
      kind: TektonPipeline
      name: tektonpipelines.operator.tekton.dev
      resources:
      - kind: tektoninstallersets
        name: ''
        version: v1alpha1
      specDescriptors:
      - description: Namespace where Tekton Pipelines installed
        displayName: Target Namespace
        path: targetNamespace
        x-descriptors:
        - urn:alm:descriptor:com.tectonic.ui:label
      statusDescriptors:
      - description: The version of Tekton Pipelines installed
        displayName: Version
        path: version
        x-descriptors:
        - urn:alm:descriptor:com.tectonic.ui:label
      version: v1alpha1
    - description: Represents an installation of latest version of Tekton Triggers
      displayName: Tekton Triggers
      kind: TektonTrigger
      name: tektontriggers.operator.tekton.dev
      resources:
      - kind: tektoninstallersets
        name: ''
        version: v1alpha1
      specDescriptors:
      - description: Namespace where Tekton Triggers installed
        displayName: Target Namespace
        path: targetNamespace
        x-descriptors:
        - urn:alm:descriptor:com.tectonic.ui:label
      statusDescriptors:
      - description: The version of Tekton Triggers installed
        displayName: Version
        path: version
        x-descriptors:
        - urn:alm:descriptor:com.tectonic.ui:label
      version: v1alpha1
    - description: Represents an installation of latest version of Addons (exclusively ClusterTasks, consoleyamlsamples, consoleclidownloads and consolequickstarts)
      displayName: Tekton Addons
      kind: TektonAddon
      name: tektonaddons.operator.tekton.dev
      resources:
      - kind: tektoninstallersets
        name: ''
        version: v1alpha1
      specDescriptors:
      - description: Namespace where Addons installed
        displayName: Target Namespace
        path: targetNamespace
        x-descriptors:
        - urn:alm:descriptor:com.tectonic.ui:label
      statusDescriptors:
      - description: The version of Addons installed
        displayName: Version
        path: version
        x-descriptors:
        - urn:alm:descriptor:com.tectonic.ui:label
      version: v1alpha1
    - description: This CustomResourceDefinition (CRD) is used internally by the other OpenShift Pipelines CRDs to maintain the lifecycle of OpenShift Pipelines Components
      displayName: Tekton Installer Set
      kind: TektonInstallerSet
      name: tektoninstallersets.operator.tekton.dev
      resources:
      - kind: clusterroles
        name: ''
        version: v1
      - kind: customresourcedefinitions
        name: ''
        version: v1beta1
      - kind: deployments
        name: ''
        version: v1beta1
      - kind: podsecuritypolicies
        name: ''
        version: v1beta1
      - kind: clusterrolebindings
        name: ''
        version: v1beta1
      - kind: services
        name: ''
        version: v1
      - kind: pods
        name: ''
        version: v1
      - kind: configmaps
        name: ''
        version: v1
      - kind: config
        name: ''
        version: v1alpha1
      - kind: namespaces
        name: ''
        version: v1
      - kind: serviceaccounts
        name: ''
        version: v1
      specDescriptors:
      - description: List of OpenShift API resources managed by this InstallerSet
        displayName: Manifests
        path: manifests
        x-descriptors:
        - urn:alm:descriptor:com.tectonic.ui:label
        statusDescriptors:
        - description: The version of Operator installed
          displayName: ObservedGeneration
          path: observedGeneration
          x-descriptors:
          - urn:alm:descriptor:com.tectonic.ui:label
      version: v1alpha1
  description: |
    Red Hat OpenShift Pipelines is a cloud-native continuous integration and delivery
    (CI/CD) solution for building pipelines using [Tekton](https://tekton.dev).
    Tekton is a flexible Kubernetes-native open-source CI/CD framework, which
    enables automating deployments across multiple platforms (Kubernetes,
    serverless, VMs, etc) by abstracting away the underlying details.

    ## Features

    * Standard CI/CD pipelines definition
    * Build images with Kubernetes tools such as S2I, Buildah, Buildpacks, Kaniko, etc
    * Deploy applications to multiple platforms such as Kubernetes, serverless and VMs
    * Easy to extend and integrate with existing tools
    * Scale pipelines on-demand
    * Portable across any Kubernetes platform
    * Designed for microservices and decentralized team
    * Integrated with OpenShift Developer Console

    ## Installation

    _Red Hat OpenShift Pipelines Operator_ gets installed into a single namespace (openshift-operators) which would then install _Red Hat OpenShift Pipelines_ into the openshift-pipelines namespace. _Red Hat OpenShift Pipelines_ is however cluster-wide and can run pipelines created in any namespace.

    ### Components

    - Tekton Pipelines: v0.28.0
    - Tekton Triggers: v0.16.0
    - ClusterTasks based on Tekton Catalog 0.28

    ## Getting Started
    In order to get familiar with _OpenShift Pipelines_ concepts and create your first pipeline, follow the [OpenShift Pipelines Docs](https://docs.openshift.com/container-platform/latest/pipelines/creating-applications-with-cicd-pipelines.html).

    ## CLI (tkn)
    Tekton Pipelines cli project provides a CLI (tkn) for interacting with OpenShift Pipelines.
    - [Download tkn for Linux](https://mirror.openshift.com/pub/openshift-v4/clients/pipeline/0.17.2/tkn-linux-amd64-0.17.2.tar.gz)
    [Download tkn](/command-line-tools) (links will be available on `command line tools` page after this operator is installed).
  displayName: Red Hat OpenShift Pipelines
  icon:
  - base64data: |
[encoded data, 6300 characters]
    mediatype: image/png
  install:
    spec:
      deployments: null
    strategy: ""
  installModes:
  - supported: false
    type: OwnNamespace
  - supported: false
    type: SingleNamespace
  - supported: false
    type: MultiNamespace
  - supported: true
    type: AllNamespaces
  keywords:
  - tektoncd
  - openshift
  - build
  - pipeline
  links:
  - name: OpenShift Tekton Pipeline GitHub Repository
    url: https://github.com/openshift/tektoncd-pipeline
  - name: OpenShift Pipelines Operator GitHub Repository
    url: https://github.com/openshift/tektoncd-operator
  maintainers:
  - email: pipelines-dev@redhat.com
    name: Red Hat
  maturity: alpha
  provider:
    name: Red Hat
  relatedImages: []
  version: 0.0.0
